/* This file is a part of Ami software, (C) Hwang chi-deok 2001 */

/*

Ϲ ϼ ѱ
0xb0a1    => 0x8861
...
0xc8fe    => 0xd3b7

ڸ
0xa4a1    => 0x
0xa4fe    => 0x

Ư
0xa1a1    => 0xd931
...
0xacf1    => 0xdef1

*/


#include <iconv.h>
static iconv_t johab_to_wan_cd = 0;
static iconv_t wan_to_johab_cd = 0;
static iconv_t johab_to_utf8_cd = 0;
      
int
johab_to_wansung(char *s, int johab)
{
    int in_len, out_len;
    char in[2];
    char *in_p, *out_p;
    if (johab < 128) {
	*s = johab;
	return 1;
    }
    if (!johab_to_wan_cd) {
	johab_to_wan_cd = iconv_open("EUC-KR", "JOHAB");
    }
    in_p = in; out_p = s;
    in_len = 2; out_len = 2;
    in[0] = (johab >> 8) | 0x80;
    in[1] = johab & 0xff;
    iconv(johab_to_wan_cd, &in_p, &in_len, &out_p, &out_len);

    return 2 - out_len;
}

int
johab_from_wansung(char *s, int wansung)
{
    int in_len, out_len;
    char in[2];
    char *in_p, *out_p;
    if (wansung < 128) {
	*s = wansung;
	return 1;
    }
    if (!wan_to_johab_cd) {
	wan_to_johab_cd = iconv_open("JOHAB", "EUC-KR");
    }
    in_p = in; out_p = s;
    in_len = 2; out_len = 2;
    in[0] = (wansung >> 8) | 0x80;
    in[1] = wansung & 0xff;
    iconv(wan_to_johab_cd, &in_p, &in_len, &out_p, &out_len);

    return 2 - out_len;
}


int
johab_to_johab(char *s, int johab)
{
    if (johab < 128) {
	*s = johab;
	return 1;
    }
    *s++ = 0x80 | (johab >> 8);
    *s = johab & 0xff;
    return 2;
}

int
johab_to_utf8(char *s, int johab)
{
    int in_len, out_len;
    char in[2];
    char *in_p, *out_p;
    if (johab < 128) {
	*s = johab;
	return 1;
    }
    if (!johab_to_utf8_cd) {
	johab_to_utf8_cd = iconv_open("UTF-8", "JOHAB");
    }
    in_p = in; out_p = s;
    in_len = 3; out_len = 2;
    in[0] = (johab >> 8) | 0x80;
    in[1] = johab & 0xff;
    iconv(johab_to_utf8_cd, &in_p, &in_len, &out_p, &out_len);

    return 3 - out_len;
}
